JGraph X 1.3.0.0

## com.mxgraph.swing.util
Class mxGraphActions.DeleteAction

    java.lang.Object
      javax.swing.AbstractAction
          com.mxgraph.swing.util.mxGraphActions.DeleteAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Enclosing class:
  mxGraphActions

    public static class mxGraphActions.DeleteAction

extends javax.swing.AbstractAction

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`mxGraphActions.DeleteAction(java.lang.String name)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphActions.DeleteAction

    public mxGraphActions.DeleteAction(java.lang.String name)

Parameters:
  `name` -

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.